# Class P3

java.lang.Object
javajs.util.T3
javajs.util.P3

All Implemented Interfaces:
  `Serializable, JSONEncodable`

Direct Known Subclasses:
  `A4, Atom, Point3fi, SmilesAtom`

public class P3 extends T3
A 3 element point that is represented by single precision floating point x,y,z coordinates.

Version:
  specification 1.1, implementation $Revision: 1.10 $, $Date: 2006/09/08 20:20:20 $
Author:
  Kenji hiranabe additions by Bob Hanson hansonr@stolaf.edu 9/30/2012 for unique constructor and method names for the optimization of compiled JavaScript using Java2Script
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class T3

`x, y, z`

## Constructor Summary

Constructors
Constructor
Description
`P3()`

## Method Summary

Modifier and Type
Method
Description
`static P3`
`getUnlikely()`
`static P3`
`new3(float x, float y, float z)`
`static P3`
`newA(float[] a)`
`static P3`
`newP(T3 t)`

### Methods inherited from class T3

`add, add2, add3, ave, cross, distance, distanceSquared, dot, equals, floatToIntBits, hashCode, length, lengthSquared, normalize, putP, scale, scaleAdd2, scaleT, set, setA, setP, setT, sub, sub2, toJSON, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### P3

public P3()

## Method Details

### newP

public static P3 newP(T3 t)

### getUnlikely

public static P3 getUnlikely()

### new3

public static P3 new3(float x, float y, float z)

### newA

public static P3 newA(float[] a)